<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];

$idGrupo                = $_POST['idGrupo'];
$nomeGrupo              = mb_strtoupper($_POST['nomeGrupo']);
$grupoDisponivelGuiche  = $_POST['grupoDisponivelGuiche'];
//VERIFICAR SE EXISTE SOLICITAÇÃO PENDENTE DO MESMO PACIENTE E MESMO Grupo

$stmGrupoExiste       = $rsConexao->prepare("SELECT id_grupo_procedimento FROM reg_tb_procedimento_grupo WHERE nome_grupo_procedimento='$nomeGrupo'");
$stmGrupoExiste       -> execute();
$registrosExistentes  = $stmGrupoExiste->rowCount();	

if($registrosExistentes>0 && $idGrupo==""){  
  echo "JaExiste";
  exit;
}else{

  if($idGrupo==""){
    $stmAddGrupo  = $rsConexao->prepare("INSERT INTO reg_tb_procedimento_grupo(nome_grupo_procedimento,disponivel_guiche)VALUES(:setNomeGrupo,:setDisponivelGuiche)");
  }else{
    $stmAddGrupo  = $rsConexao->prepare("UPDATE reg_tb_procedimento_grupo SET nome_grupo_procedimento=:setNomeGrupo, disponivel_guiche=:setDisponivelGuiche WHERE id_grupo_procedimento='$idGrupo'");
  }

  $stmAddGrupo  -> bindParam(":setNomeGrupo",$nomeGrupo,PDO::PARAM_STR);
  $stmAddGrupo  -> bindParam(":setDisponivelGuiche",$grupoDisponivelGuiche,PDO::PARAM_STR);
  $stmAddGrupo  -> execute();
  

  //******* carregar lista atualizada */  
  $stmGrupo    = $rsConexao->prepare("SELECT * FROM reg_tb_procedimento_grupo");
  $stmGrupo    ->execute();  
  $rsGrupo     = $stmGrupo->fetchAll(PDO::FETCH_ASSOC);
  $totalGrupo  = $stmGrupo->rowCount();		

  if($totalGrupo>0){
    foreach($rsGrupo as $fieldGrupo){
      $idGrupo				= $fieldGrupo['id_grupo_procedimento'];
      $nomeGrupo			= mb_strtoupper($fieldGrupo['nome_grupo_procedimento']);
      $grupoNoGuiche	= mb_strtoupper($fieldGrupo['disponivel_guiche']);

      $grupoNoGuicheExibir = $fieldGrupo['disponivel_guiche']=="S" ? "SIM" : "NÃO";
      
      $linkEditarGrupo	= '"editarGrupo(' . "'$idGrupo##$nomeGrupo##$grupoNoGuiche')" . '"';
      $linkExcluirGrupo	= '"excluirGrupo(' . "'$idGrupo')" . '"';																	
      echo "<tr>
        <td style='text-align:center'>
          <i class='icofont icofont-edit nova_fonte' title='Editar registro de Grupo.' onclick=$linkEditarGrupo></i>&nbsp;
          <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de Grupo.'  onclick=$linkExcluirGrupo></i>
        </td>
        <td>$nomeGrupo</td>
        <td style='text-align:center'>$grupoNoGuicheExibir</td>
      </tr>";
    }
  }

}
//**************************************************** */
?>